"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const package_1 = require("./../utils/package");
const config_1 = require("./../utils/config");
// import {addModuleImportToRootModule} from './../utils/ast';
/*
const ngBootstrapVersion = '2.0.0-alpha.0';
function addNgBootstrapToPackageJson(): Rule {
  return (host: Tree) => {
    addPackageToPackageJson(host, 'dependencies', '@ng-bootstrap/ng-bootstrap', `^${ngBootstrapVersion}`);
    return host;
  };
}*
function addNgBootstrapModuleToAppModule(): Rule {
  return (host: Tree) => {
    addModuleImportToRootModule(host, 'NgbModule.forRoot()', '@ng-bootstrap/ng-bootstrap');
    return host;
  };
}*/
function addBootstrapToPackageJson(options) {
    return (host) => {
        package_1.addPackageToPackageJson(host, 'dependencies', 'bootstrap', `^${options.version}`);
        return host;
    };
}
function addBootstrapCSS() {
    return (host) => {
        config_1.addStyle(host, './node_modules/bootstrap/dist/css/bootstrap.css');
        return host;
    };
}
function installNodeDeps() {
    return (host, context) => {
        context.addTask(new tasks_1.NodePackageInstallTask());
        return host;
    };
}
function schematicsBootstrap(options) {
    return (host, context) => {
        if (!config_1.hasBootstrap(host)) {
            return schematics_1.chain([
                schematics_1.branchAndMerge(schematics_1.chain([
                    addBootstrapToPackageJson(options),
                    addBootstrapCSS(),
                    installNodeDeps(),
                ])),
            ])(host, context);
        }
        else {
            schematics_1.noop();
        }
    };
}
exports.schematicsBootstrap = schematicsBootstrap;
//# sourceMappingURL=index.js.map